Delete a custom field key
curl --request POST \
--url https://api.metronome.com/v1/customFields/removeKey \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "customer",
"key": "x_account_id"
}
'import requests
url = "https://api.metronome.com/v1/customFields/removeKey"
payload = {
"entity": "customer",
"key": "x_account_id"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({entity: 'customer', key: 'x_account_id'})
};
fetch('https://api.metronome.com/v1/customFields/removeKey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Custom fields
Delete a custom field key
Removes a custom field key from the allowlist for a specific entity type, preventing future use of that key across all instances of the entity. Existing values for this key on entity instances will no longer be accessible once the key is removed.
POST
/
v1
/
customFields
/
removeKey
Delete a custom field key
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Remove a key from the allow list for an entity
Available options:
alert, billable_metric, charge, commit, contract_credit, contract_product, contract, customer, discount, invoice, product, rate_card, scheduled_charge, subscription, package_commit, package_credit, package_subscription, package_scheduled_charge Response
200
Success
⌘I